commit: 159c618d4383d24739152273ede234b3fe96703f
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 5 10:13:12 2018 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Dec 5 10:15:08 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=159c618d
net-dns/nsd: Minor ebuild improvements.
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
net-dns/nsd/nsd-4.1.25.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/net-dns/nsd/nsd-4.1.25.ebuild b/net-dns/nsd/nsd-4.1.25.ebuild
index 9a5fc16aa9b..c5b30a4d01a 100644
--- a/net-dns/nsd/nsd-4.1.25.ebuild
+++ b/net-dns/nsd/nsd-4.1.25.ebuild
@@ -93,7 +93,7 @@ src_install() {
# remove the /run directory that usually resides on tmpfs and is
# being taken care of by the nsd init script anyway (checkpath)
- rm -r "${ED%/}"/run || die "Failed to remove /run"
+ rm -r "${ED}"/run || die "Failed to remove /run"
keepdir /var/db/${PN}
}
@@ -104,8 +104,8 @@ pkg_postinst() {
enewuser nsd -1 -1 -1 nsd
# database directory, writable by nsd for database updates and zone
transfers
- install -d -m 750 -o nsd -g nsd "${EROOT%/}"/var/db/nsd
+ install -d -m 750 -o nsd -g nsd "${EROOT}"/var/db/nsd
# zones directory, writable by nsd for zone file updates (nsd-control
write)
- install -d -m 750 -o nsd -g nsd "${EROOT%/}"/var/lib/nsd
+ install -d -m 750 -o nsd -g nsd "${EROOT}"/var/lib/nsd
}